Ticket #35123

ネットラジオレコーダー4での動作

Open Date: 2015-05-10 15:11 Last Update: 2017-02-01 16:47

Reporter: nishimoto Owner: (None)
Type: Support Request Status: Closed
Component: アドオン MileStone: (None)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

ネットラジオレコーダー4への対応について。

製品情報: 株式会社GING(ジン) ネットラジオレコーダー4 for Windows http://ging.co.jp/product/music/netradio4.html

スクリーンリーダー対応と表記されていて NVDA で利用できるとのことです。

キャンペーンで価格が下がっていたので購入して確認してみました。

番組表で矢印キーを押した後、NVDA+Tab を押さないとその場所の内容が確認できない、 という話について、以下のようなプラグインで対応できそうなので、 ご確認いただければ幸いです。

下記の内容を netradiorecorder4.py というファイル名で保存して、 %appdata%\nvda\appModules に置いてください。

# netradiorecorder4.py
# A part of NonVisual Desktop Access (NVDA)
# 2015-05-10 Takuya Nishimoto

import appModuleHandler
import api
import speech
import controlTypes
from NVDAObjects.IAccessible import IAccessible

class AppModule(appModuleHandler.AppModule):

	def chooseNVDAObjectOverlayClasses(self, obj, clsList):
		if obj.windowClassName == "FMTMainForm":
			clsList.insert(0, EnhancedForm)

class EnhancedForm(IAccessible):

	def script_reportItem(self, gesture):
		gesture.send()
		focusObject=api.getFocusObject()
		speech.speakObject(focusObject, reason=controlTypes.REASON_QUERY)

	__gestures = {
		"kb:downArrow": "reportItem",
		"kb:upArrow": "reportItem",
		"kb:leftArrow": "reportItem",
		"kb:rightArrow": "reportItem",
	}

Attachment File List

No attachments

Ticket History (3/16 Histories)

2015-05-10 15:11 Updated by: nishimoto
  • New Ticket "ネットラジオレコーダー4での動作" created
2015-05-10 15:15 Updated by: nishimoto
  • Details Updated
2015-05-24 19:17 Updated by: nishimoto
  • Milestone Update from (None) to 2015.2jp (closed)
  • Resolution Update from None to Accepted
Comment

ネットラジオレコーダー4用のアプリケーションモジュールを試作したのですが、 特にこれを入れて悪くなることがないなら、 2015.2jp に最初からこのモジュールを入れておこうかと思い始めています。 ご意見があればお聞かせください。

2015-05-29 21:46 Updated by: nishimoto
  • Resolution Update from Accepted to Fixed
Comment

ネットラジオレコーダー4のアプリケーションモジュールを 2015.2jp 公開ベータ版 (150524) に入れたのですが、 ドキュメントにもリリースノートにも書いていないので、 どこかに書いておくべきかも知れません。

2015-06-03 21:41 Updated by: nishimoto
Comment

NVDA 日本語版の説明「バージョンごとの変更点」に、このチケットへのリンクを追加しておきました。

2015-06-03 21:50 Updated by: nishimoto
  • Ticket Close date is changed to 2015-06-03 21:50
  • Status Update from Open to Closed
2017-01-30 17:41 Updated by: dream945
2017-01-30 17:44 Updated by: dream945
  • Details Updated
2017-01-30 17:47 Updated by: dream945
Comment

nishimoto への返信

このアドオンを点字ディスプレイにも表示したいのですが、どのようにすればよろしいでしょうか?

2017-01-30 18:11 Updated by: nishimoto
Comment

テスト環境をすぐに作り直せませんが、

import braille

# 中略

	def script_reportItem(self, gesture):
		gesture.send()
		focusObject=api.getFocusObject()
		speech.speakObject(focusObject, reason=controlTypes.REASON_QUERY)
		braille.handler.message(focusObject.name)

みたいな感じでどうでしょうか。

2017-01-30 21:49 Updated by: dream945
Comment

nishimoto への返信

ご返信ありがとうございます。しかし番組表で上下矢印キーを押すと「None」としか表示されませんでした。

2017-01-30 22:42 Updated by: nishimoto
Comment

focusObject.name を focusObject.displayText に変えてみたらどうでしょうか。

2017-01-30 23:26 Updated by: None
Comment

Reply To nishimoto

今度はなにも表示されなくなりました。NVDA+Tabの操作は音声読み上げだけで、点字ディスプレイには通知されないようです。

2017-01-31 08:23 Updated by: nishimoto
Comment

2015年以降、開発環境をなんどか作り直したので、 現在はすぐにネットラジオレコーダーを試せる環境がありません。 時期は約束できませんが、 2015年に購入したネットラジオレコーダー4のインストーラーを探してみます。 環境を作ったら詳しく調査させてください。 その後のバージョンは購入していないのでご容赦ください。

ご要望内容は新規機能の追加だと私は判断しているので、 新しく「ネットラジオレコーダー4の点字ディスプレイ対応」のチケットを作りたいと思います。

2017-01-31 17:00 Updated by: None
Comment

Reply To nishimoto

了解しました。 ちなみに、最新のネットラジオレコーダー6でも、ファイル名を netradiorecorder6.py とリネームすることで、ネットラジオレコーダー4 同様番組表を読み上げています。

2017-02-01 16:47 Updated by: nishimoto
Comment

NetRadioRecorder 5/6 への対応: https://github.com/nvdajp/nvdajp/issues/17

Edit

Please login to add comment to this ticket » Login